using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace APlusBToN
{
    class Program
    {
        static void Main(string[] args)
        {
            string input = Console.ReadLine();
            char a = input[1];
            char b = input[3];
            int n = int.Parse(Console.ReadLine());

            StringBuilder output = new StringBuilder();
            int[] coefs = PascalRow(n);

            int u = n;
            int v = 0;

            for (int i = 0; i < coefs.Length; i++)
            {
                if (coefs[i] != 1)
                {
                    output.Append(coefs[i]);
                }
                output.Append(Expression(a, u));
                output.Append(Expression(b, v));
                output.Append("+");
                u--;
                v++;
            }
            output.Remove(output.Length - 1, 1);
            Console.WriteLine(output.ToString());
            
        }

        static string Expression(char ch, int pow)
        {
            if (pow == 0)
            {
                return "";
            }
            return string.Format("({0}^{1})", ch, pow);
        }

        public static int[] PascalRow(int n)
        {
            int[,] pascalTriangle = new int[n + 1, n + 1];

            for (int i = 0; i <= n; i++)
            {
                pascalTriangle[i, 0] = 1;
                pascalTriangle[i, i] = 1;
            }

            for (int i = 1; i <= n; i++)
            {
                for (int j = 1; j <= i; j++)
                {
                    pascalTriangle[i, j] = pascalTriangle[i - 1, j - 1] + pascalTriangle[i - 1, j];
                }
            }

            List<int> l = new List<int>();
           
            for (int j = 0; j <= n; j++)
            {
                //Console.Write(pascalTriangle[n, j] + " " );
                l.Add(pascalTriangle[n, j]);
            }
            //Console.WriteLine();
            

          //  return pascalTriangle[n, k];
            return l.ToArray();
        }
    }
}
