#include <stdio.h>
#include <vector>
#include <algorithm>

using namespace std;

vector <int> allPossible;
int a[5], n, currentNumber;
bool used[5];
int deliteli[3125];

void DFS(int level)
{
    if (level == n) allPossible.push_back(currentNumber);
    else
    {
        for (int i = 0; i < n; i++)
            if (!used[i])
            {
                used[i] = true;
                currentNumber = currentNumber * 10 + a[i];
                DFS(level + 1);
                currentNumber /= 10;
                used[i] = false;
            }
    }
}

int main()
{
    scanf("%d", &n);
    for (int i = 0; i < n; i++) scanf("%d", &a[i]);
    DFS(0);
    sort(allPossible.begin(), allPossible.end());

    int size = allPossible.size();
    for (int i = 0; i < size - 1; i++)
        for (int j = i + 1; j < size; j++)
            if (allPossible[j] % allPossible[i] == 0)
            {
                allPossible.erase(allPossible.begin() + j);
                j--;
                size--;
            }

    for (int i = 2; i <= allPossible[size - 1]; i++)
        for (int j = 0; j < size; j++)
            if (allPossible[j] % i == 0) deliteli[j]++;

    int minDelInd = 0;
    for (int i = 1; i < size; i++)
        if ((deliteli[minDelInd] == deliteli[i]) && (allPossible[minDelInd] > allPossible[i])) minDelInd = i;
        else if (deliteli[minDelInd] > deliteli[i]) minDelInd = i;

    printf("%d\n", allPossible[minDelInd]);

    return 0;
}
