#include <stdio.h>

using namespace std;

bool used[1000];
int n, k, a[1000];
long long sum = 0;

void DFS(int level, int halfSum)
{
    if (level == k) sum += halfSum;
    else
    {
        for (int i = 0; i < n; i++)
            if (!used[i])
            {
                used[i] = true;
                halfSum += a[i];
                DFS(level + 1, halfSum);
                halfSum -= a[i];
                used[i] = false;
            }
    }
}

int main()
{
    int t;
    scanf("%d", &t);

    while (t > 0)
    {
        sum = 0;
        scanf("%d%d", &n, &k);
        for (int i = 0; i < n; i++) scanf("%d", &a[i]);
        k = n - k;
        DFS(0, 0);
        printf("%I64d\n", sum / 2);
        t--;
    }

    return 0;
}
