using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Divisors
{
    class Program
    {
        static List<string> permutations = new List<string>();

        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            StringBuilder inputNum = new StringBuilder(n);
            for (int i = 0; i < n; i++)
            {
                inputNum.Append(Console.ReadLine());
            }

            bool[] used = new bool[n];
            for (int i = 0; i < n; i++)
            {
                used[i] = false;
            }
            permute(0, "", used, inputNum.ToString());

            int min = int.MaxValue;
            int minDevCnt = int.MaxValue;

            foreach (var item in permutations)
            {
                int num = int.Parse(item);
                int numDevCnt = 0;
                //Console.WriteLine(num);
                for (int i = 1; i <= num; i++)
                {
                    if (num % i == 0)
                    {
                        numDevCnt++;
                    }
                }

                if (numDevCnt < minDevCnt)
                {
                    min = num;
                    minDevCnt = numDevCnt;
                }
            }

            Console.WriteLine(min);
        }

         static void permute(int level, string permuted, bool[] used, string original) 
         {
            int length = original.Length;
            if (level == length) {
                permutations.Add(permuted);
                //Console.WriteLine(permuted);
            } else {
                for (int i = 0; i < length; i++) {
                    if (!used[i]) {
                        used[i] = true;
                        permute(level + 1, permuted + original[i],
                           used, original);
                        used[i] = false;
                    }
                }
            }
         }
    }

   

       

    

    

}
