using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RoboZombieCammel
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            ulong[] dists = new ulong[n];

            for (int i = 0; i < n; i++)
            {
                string[] tokens = Console.ReadLine().Split();
                dists[i] = (ulong)Math.Abs(int.Parse(tokens[0])) + (ulong)Math.Abs(int.Parse(tokens[1]));
            }

            ulong sum = 0UL;
            for (int i = 0; i < (1<<n); i++)
            {
                for (int j = 0; j <= n; j++)
                {
                    if (CheckBit(i, j))
                    {
                        sum += dists[j];
                    }
                }
            }

            Console.WriteLine(sum % ulong.MaxValue);  


        }

        static bool CheckBit(int num, int pos)
        {
            return (num & 1 << pos) != 0;
        }
    }
}
