#include <cstdio>

#define MAXN 30
#define MAXGROUPS 5

int main()
{
	int N,max_count=0,temp;
	const int POSSGROUPS=int('z'-'a')+1;
	char str[MAXN];
	long long count[POSSGROUPS];

	for(int i=0; i<POSSGROUPS; i++) count[i] = 0;

	scanf("%s", str);
	for(N=0; str[N]!='\0'; N++)
	{
		temp = int(str[N]-'A');
		count[temp]++;
		if(count[temp] > count[max_count])
			max_count = temp;
	}

	temp=max_count;
	max_count = count[max_count];
	count[temp] = 0;

	long long sol45=1;
	for(long long i=N; i>max_count; i--)
	{
		sol45 *= i;
		//printf("%lld\n", sol45);
		for(int j=0; j<POSSGROUPS; j++)
		{
			while(count[j] && (sol45%count[j]==0))
			{
				sol45 /= count[j];
				count[j]--;
				//printf("%lld (%d)%lld\n", sol45, j,count[j]);
			}
		}
	}

	printf("%lld\n", sol45);

	return 0;
}
