#include <iostream>
#include <string>
#include <cstring>

using namespace std;

long long bc[64][64];

void genbc()
{
     bc[0][0]=1;
     bc[1][0]=1; bc[1][1]=1;
     for(int i=2; i<=60; i++) bc[i][0]=1;
     
     for(int i=2; i<=60; i++)
     for(int j=1; j<=i; j++) bc[i][j]=bc[i-1][j]+bc[i-1][j-1];
}


string tostring(long long a)
{
       int c;
       string res="";
       char k;
       do
       {
            c=a%10;
            k=c+'0';
            res.insert(0,1,k);
            a/=10;
       }
       while(a>0);
       return res;
}

int main()
{
    string a;
    genbc();
    cin >> a;
    int n;
    cin >> n;
    char c1=a[1], c2=a[3];
    
    string res="";
    for(int i=0; i<=n; i++)
    {
            string cr="";
            string p1=tostring(n-i), p2=tostring(i);
            if(i==0) {
                     cr+='(';
                     cr+=c1;
                     cr+='^';
                     cr+=p1;
                     cr+=')';
                     }
            else if(i<n){
                 string kk=tostring(bc[n][i]);
                 
                 cr+='+';
                 cr+=kk;
                 cr+='(';
                 cr+=c1;
                 cr+='^';
                 cr+=p1;
                 cr+=')';
                 cr+='(';
                 cr+=c2;
                 cr+='^';
                 cr+=p2;
                 cr+=')';
            }
            else {
                 cr+='+';
                 cr+='(';
                 cr+=c2;
                 cr+='^';
                 cr+=p2;
                 cr+=')';
            }
            res+=cr;
    }
    
    cout << res << endl;
    return 0;
}
