#include <stdio.h>

using namespace std;

bool used[20];
int n, k;
unsigned long long count = 0;

void DFS(int level, int last)
{
    if (level == k) count++;
    else
    {
        if (level % 2)
        {
            for (int i = last - 1; i >= 0; i--)
                if (!used[i])
                {
                    used[i] = true;
                    DFS(level + 1, i);
                    used[i] = false;
                }
        }
        else
        {
            for (int i = last + 1; i < n; i++)
                if (!used[i])
                {
                    used[i] = true;
                    DFS(level + 1, i);
                    used[i] = false;
                }
        }
    }
}

int main()
{
    scanf("%d%d", &n, &k);
    for (int i = 0; i < n; i++){ used[i] = true; DFS(1, i); used[i] = false;}

    printf("%I64u\n", count);

    return 0;
}
